Bug 497332 - bugzilla tracebacks when --qa_whiteboard query option is used
bugzilla tracebacks when --qa_whiteboard query option is used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 08:33 EDT by Ales Zelinka
Modified: 2010-12-05 01:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2009-04-23 08:33:51 EDT
Description of problem:
Query option --qa_whiteboard is not recognized by bugzilla.redhat.com:

[zelial@dhcp-lab-173 ~]$ bugzilla query -p "Fedora" -c "python-bugzilla"  --qa_whiteboard=abc
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 595, in <module>
    main()
  File "/usr/bin/bugzilla", line 449, in main
    buglist = bz.query(q)
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 502, in query
    r = self._query(query)
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 414, in _query
    return self._proxy.Bug.search(query)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 957, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 108: "Can't use qa_whiteboard as a field name.">


Version-Release number of selected component (if applicable):
python-bugzilla-0.5.1-2.fc11.noarch


Additional info:
I guess the correct field name is 'cf_qa_whiteboard' it is rejected by bugzilla cmdline tool itself.
Comment 1 Bug Zapper 2009-06-09 10:27:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:53:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ales Zelinka 2010-04-27 11:08:35 EDT
python-bugzilla-0.5.1-3.fc12.noarch is still tracebacking on reproducer from c#0.
Comment 4 Will Woods 2010-04-27 11:37:20 EDT
Confirmed in python-bugzilla-0.6.1 as well. I'm going to use this bug for testing, so please excuse any extra noise/bugmail.
Comment 5 Will Woods 2010-04-27 12:10:40 EDT
It looks like the CLI was fixed to change the field name for devel_whiteboard, but not qa_whiteboard. For example, try: 
  bugzilla query -p "Fedora" -c "python-bugzilla" --devel_whiteboard=devel
which should give you this bug. On the other hand:
  bugzilla query -p "Fedora" -c "python-bugzilla" --qa_whiteboard=QA
will give you an XMLRPC fault (and traceback in python-bugzilla-0.5.x).

It's a pretty easy fix; I'll commit it to git and it'll appear in the next python-bugzilla release. 

In the meantime, you can work around this by doing (e.g.)
  bugzilla query -p "Fedora" -c "python-bugzilla" --boolean_query='cf_qa_whiteboard-substring-QA'

Check the manpage for more info about the --boolean_query command.
Comment 6 Ales Zelinka 2010-04-27 12:22:36 EDT
What a coincidence! 
That boolean_query workaround is exactly what I need for the problem I'm working on at this very moment. You've just made my day, Will! 
Thank you (and thanks to you too, bug zapper, for bringing this bug to my attention :)).
Comment 7 Bug Zapper 2010-11-04 07:19:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-05 01:55:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.